hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jane Wayne <jane.wayne2...@gmail.com>
Subject openjdk warning, the vm will try to fix the stack guard
Date Thu, 06 Mar 2014 20:57:54 GMT
hi,

i have have hadoop v2.3.0 installed on CentOS 6.5 64-bit. OpenJDK 64-bit
v1.7 is my java version.

when i attempt to start hadoop, i keep seeing this message below.

OpenJDK 64-Bit Server VM warning: You have loaded library
/usr/local/hadoop-2.3.0/lib/native/libhadoop.so.1.0.0 which might have
disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c
<libfile>', or link it with '-z noexecstack'.


i followed the instruction. here were my steps.
1. sudo yum install -y prelink
2. execstack -c /usr/local/hadoop-2.3.0/lib/native/libhadoop.so.1.0.0

however, this message still keeps popping up. i did some more search on the
internet, and one user says that basically, libhadoop.so.1.0.0 is 32-bit,
and to get rid of this message, i will need to recompile this into 64-bit.

is that correct? is there not a 64-bit version of libhadoop.so.1.0.0
available for download?

thanks,

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message